### Method

# Gdk TextureDownloader get_color_state

since: 4.16

#### Declaration [src]

    GdkColorState*
    gdk_texture_downloader_get_color_state (
      const GdkTextureDownloader* self
    )

#### Description [src]

Gets the color state that the data will be downloaded in.

Available since: 4.16

#### Return value

Type: `GdkColorState`

The color state of the download.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.